%define upstream_name    Text-Truncate
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl module with simple string truncating routine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a simple, no-brainer subroutine to truncate a string and add an
optional cutoff marker (defaults to ``...'').

(Yes, this is a really brain-dead sort of thing to make a module out of,
but then again, I use it so often that it might as well be in a module.)

The synopsis gives examples of how to use it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.60.0-9.mga10
+ Revision: 2201070
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.60.0-8.mga9
+ Revision: 1806385
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-7.mga8
+ Revision: 1497752
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-6.mga7
+ Revision: 1272219
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-5.mga6
+ Revision: 1035174
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-4.mga6
+ Revision: 943547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-3.mga5
+ Revision: 749268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-2.mga5
+ Revision: 686661
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 1.60.0-1.mga5
+ Revision: 596968
- update to 1.06

* Mon Feb 24 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 596370
- update to 1.05

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 515631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 374245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 22973
- cleaning spec file
- imported package perl-Text-Truncate


* Fri Jan 14 2011 cpan2dist 1.04-1mdv
- initial mdv release, generated with cpan2dist
